Brittany H. Bramlett
9/21/2011
P&P R&R CCES 2007

***No relationship dummy
Does R personally know anybody who is gay?
Do not use this variable. 90% of sample knows someone who is gay.


***Gay friend or family member dummy
R's closest relationship wtih someone who is gay

recode CC06_V2105 (1=0) (2/3=1) (4/5=0), gen(gayff)


***Gay coworker or acquaintance dummy
R's closest relationship wtih someone who is gay

recode CC06_V2105 (1=0) (2/3=0) (4/5=1), gen(gayca)


***Protestant dummy
Religious preference

recode CC06_V2022 (1=1) (2/7=0), gen(protestant)

gen whiteprot = white*protestant
gen blackprot = black*protestant


***Catholic dummy
Religious preference

recode CC06_V2022 (1=0) (2=1) (3/7=0), gen(catholic)

gen whitecath = white*catholic
gen latcath = hispanic*catholic


***Unaffiliated dummy
Religious preference

recode CC06_V2022 (1/4=0) (5=1) (6/7=0), gen(unaffiliated) 



***Interaction terms

gen ffprot = gayff*protestant
gen ffcath = gayff*catholic
gen ffua = gayff*unaffiliated
gen ffwhiteprot = gayff*whiteprot
gen ffblackprot = gayff*blackprot
gen ffwhitecath = gayff*whitecath
gen fflatcath = gayff*latcath

gen caprot = gayca*protestant
gen cacath = gayca*catholic
gen caua = gayca*unaffiliated
gen cawhiteprot = gayca*whiteprot
gen cablackprot = gayca*blackprot
gen cawhitecath = gayca*whitecath
gen calatcath = gayca*latcath


***Church attendance
Church attendance

recode CC06_V2026 (1=4) (2=3) (3=2) (4=1) (5=.), gen(churchatt)


***Importance of religion
Importance of religion in daily life

recode CC06_V2029 (1=1) (2=0), gen(religimport)


***Prayer frequency
Frequency of prayer

recode CC06_V2027 (1=5) (2=4) (3=3) (4=2) (5=1) (6=.), gen(prayer)


***Age
Birth Year

gen age = 2007 - CC06_V2020


***Liberal
Ideology

recode CC06_V2021 (1/2=1) (3/5=0) (6=.), gen(liberal)


***Conservative
Ideology

recode CC06_V2021 (1/3=0) (4/5=1) (6=.), gen(conservative)


***Female
Gender

recode CC06_V2004 (1=0) (2=1), gen(female)


***Income
Family's household income

recode CC06_V2032 (15=.), gen(hhincome)


***Education
Education

rename CC06_V2018 education


***Race dummies
race

recode CC06_V2005 (1=0) (2=1) (3/8=0), gen(black)
recode CC06_V2005 (1/2=0) (3=1) (4/8=0), gen(hispanic)
recode CC06_V2005 (1=1) (2/8=0), gen(white)


***Dependent variable
Constitutional amendment banning gay marriage

recode CC06_V2103 (1/2=1) (3/4=0) (5=.), gen(supbangaym)


***Pary Identification
Party identification

recode CC06_V3007 (1/3=1) (4/7=0) (8=.), gen(democrat)
recode CC06_V3007 (1/4=0) (5/7=1) (8=.), gen(republican)



______Models____________________________________________________

***Gay friend or family member
probit supbangaym ffwhiteprot ffblackprot ffwhitecath fflatcath ffua gayff whiteprot blackprot whitecath latcath unaffiliated churchatt prayer religimport age liberal conservative democrat republican female hhincome education white black hispanic

*Get predicted probabilities
predict ppstata1 if e(sample)

gen pprobit1 = normal(_b[ffwhiteprot]*ffwhiteprot + _b[ffblackprot]*ffblackprot + _b[ffwhitecath]*ffwhitecath + _b[fflatcath]*fflatcath + _b[ffua]*ffua + _b[gayff]*gayff + _b[whiteprot]*whiteprot + _b[blackprot]*blackprot + _b[whitecath]*whitecath + _b[latcath]*latcath + _b[unaffiliated]*unaffiliated + _b[churchatt]*churchatt + _b[religimp]*religimp + _b[prayer]*prayer + _b[age]*age + _b[democrat]*democrat + _b[republican]*republican + _b[liberal]*liberal + _b[conservative]*conservative + _b[female]*female + _b[hhincome]*hhincome + _b[education]*education + _b[white]*white + _b[black]*black + _b[hispanic]*hispanic + _b[_cons]) if e(sample) 

gen testp1 = ppstata1 - pprobit1
sum testp1


gen ppffwprot = normal(_b[ffwhiteprot]*1 + _b[ffblackprot]*ffblackprot + _b[ffwhitecath]*ffwhitecath + _b[fflatcath]*fflatcath + _b[ffua]*ffua + _b[gayff]*1 + _b[whiteprot]*1 + _b[blackprot]*blackprot + _b[whitecath]*whitecath + _b[latcath]*latcath + _b[unaffiliated]*unaffiliated + _b[churchatt]*churchatt + _b[religimp]*religimp + _b[prayer]*prayer + _b[age]*age + _b[democrat]*democrat + _b[republican]*republican + _b[liberal]*liberal + _b[conservative]*conservative + _b[female]*female + _b[hhincome]*hhincome + _b[education]*education + _b[white]*white + _b[black]*black + _b[hispanic]*hispanic + _b[_cons]) if e(sample) 

gen ppffbprot = normal(_b[ffwhiteprot]*ffwhiteprot + _b[ffblackprot]*1 + _b[ffwhitecath]*ffwhitecath + _b[fflatcath]*fflatcath + _b[ffua]*ffua + _b[gayff]*1 + _b[whiteprot]*whiteprot + _b[blackprot]*1 + _b[whitecath]*whitecath + _b[latcath]*latcath + _b[unaffiliated]*unaffiliated + _b[churchatt]*churchatt + _b[religimp]*religimp + _b[prayer]*prayer + _b[age]*age + _b[democrat]*democrat + _b[republican]*republican + _b[liberal]*liberal + _b[conservative]*conservative + _b[female]*female + _b[hhincome]*hhincome + _b[education]*education + _b[white]*white + _b[black]*black + _b[hispanic]*hispanic + _b[_cons]) if e(sample) 

gen ppffwcath = normal(_b[ffwhiteprot]*ffwhiteprot + _b[ffblackprot]*ffblackprot + _b[ffwhitecath]*1 + _b[fflatcath]*fflatcath + _b[ffua]*ffua + _b[gayff]*1 + _b[whiteprot]*whiteprot + _b[blackprot]*blackprot + _b[whitecath]*1 + _b[latcath]*latcath + _b[unaffiliated]*unaffiliated + _b[churchatt]*churchatt + _b[religimp]*religimp + _b[prayer]*prayer + _b[age]*age + _b[democrat]*democrat + _b[republican]*republican + _b[liberal]*liberal + _b[conservative]*conservative + _b[female]*female + _b[hhincome]*hhincome + _b[education]*education + _b[white]*white + _b[black]*black + _b[hispanic]*hispanic + _b[_cons]) if e(sample) 

gen ppfflcath = normal(_b[ffwhiteprot]*ffwhiteprot + _b[ffblackprot]*ffblackprot + _b[ffwhitecath]*ffwhitecath + _b[fflatcath]*1 + _b[ffua]*ffua + _b[gayff]*1 + _b[whiteprot]*whiteprot + _b[blackprot]*blackprot + _b[whitecath]*whitecath + _b[latcath]*1 + _b[unaffiliated]*unaffiliated + _b[churchatt]*churchatt + _b[religimp]*religimp + _b[prayer]*prayer + _b[age]*age + _b[democrat]*democrat + _b[republican]*republican + _b[liberal]*liberal + _b[conservative]*conservative + _b[female]*female + _b[hhincome]*hhincome + _b[education]*education + _b[white]*white + _b[black]*black + _b[hispanic]*hispanic + _b[_cons]) if e(sample) 

gen ppffua = normal(_b[ffwhiteprot]*ffwhiteprot + _b[ffblackprot]*ffblackprot + _b[ffwhitecath]*ffwhitecath + _b[fflatcath]*fflatcath + _b[ffua]*1 + _b[gayff]*1 + _b[whiteprot]*whiteprot + _b[blackprot]*blackprot + _b[whitecath]*whitecath + _b[latcath]*latcath + _b[unaffiliated]*1 + _b[churchatt]*churchatt + _b[religimp]*religimp + _b[prayer]*prayer + _b[age]*age + _b[democrat]*democrat + _b[republican]*republican + _b[liberal]*liberal + _b[conservative]*conservative + _b[female]*female + _b[hhincome]*hhincome + _b[education]*education + _b[white]*white + _b[black]*black + _b[hispanic]*hispanic + _b[_cons]) if e(sample) 


sum ppffwprot ppffbprot ppffwcath ppfflcath ppffua


*Get confidence intervals

set mem 1000m
set maxvar 32767

probit supbangaym ffwhiteprot ffblackprot ffwhitecath fflatcath ffua gayff whiteprot blackprot whitecath latcath unaffiliated churchatt prayer religimport age liberal conservative democrat republican female hhincome education white black hispanic

gen keep = 1 if e(sample)
drop if keep ~=1

save temp1

set seed 99
mat b = e(b)
mat V = e(V)

drawnorm b_ffwhiteprot b_ffblackprot b_ffwhitecath b_fflatcath b_ffua b_gayff b_whiteprot b_blackprot b_whitecath b_latcath b_unaffiliated b_churchatt b_prayer b_religimport b_age b_liberal b_conservative b_democrat b_republican b_female b_hhincome b_education b_white b_black b_hispanic b_cons, mean(b) cov(V) n(1000) clear

merge using temp1

gen p_mean = .
forvalues i = 1/1000 {
	gen pmycode_`i' = normal(b_cons[`i'] + ffwhiteprot*b_ffwhiteprot[`i'] + ffblackprot*b_ffblackprot[`i'] + ffwhitecath*b_ffwhitecath[`i'] + fflatcath*b_fflatcath[`i'] + ffua*b_ffua[`i'] + gayff*b_gayff[`i'] + whiteprot*b_whiteprot[`i'] + blackprot*b_blackprot[`i'] + whitecath*b_whitecath[`i'] + latcath*b_latcath[`i'] + unaffiliated*b_unaffiliated[`i'] + churchatt*b_churchatt[`i'] + prayer*b_prayer[`i'] + religimport*b_religimport[`i'] + age*b_age[`i'] + liberal*b_liberal[`i'] + conservative*b_conservative[`i'] + democrat*b_democrat[`i'] + republican*b_republican[`i'] + female*b_female[`i'] + hhincome*b_hhincome[`i'] + education*b_education[`i'] + white*b_white[`i'] + black*b_black[`i'] + hispanic*b_hispanic[`i'])
	summarize pmycode_`i', meanonly
	replace p_mean = r(mean) in `i'
}

gen pffwprot_mean = .
forvalues i = 1/1000 {
	gen pffwprot_`i' = normal(b_cons[`i'] + 1*b_ffwhiteprot[`i'] + ffblackprot*b_ffblackprot[`i'] + ffwhitecath*b_ffwhitecath[`i'] + fflatcath*b_fflatcath[`i'] + ffua*b_ffua[`i'] + 1*b_gayff[`i'] + 1*b_whiteprot[`i'] + blackprot*b_blackprot[`i'] + whitecath*b_whitecath[`i'] + latcath*b_latcath[`i'] + unaffiliated*b_unaffiliated[`i'] + churchatt*b_churchatt[`i'] + prayer*b_prayer[`i'] + religimport*b_religimport[`i'] + age*b_age[`i'] + liberal*b_liberal[`i'] + conservative*b_conservative[`i'] + democrat*b_democrat[`i'] + republican*b_republican[`i'] + female*b_female[`i'] + hhincome*b_hhincome[`i'] + education*b_education[`i'] + white*b_white[`i'] + black*b_black[`i'] + hispanic*b_hispanic[`i'])
	summarize pffwprot_`i', meanonly
	replace pffwprot_mean = r(mean) in `i'
}


gen pffbprot_mean = .
forvalues i = 1/1000 {
	gen pffbprot_`i' = normal(b_cons[`i'] + ffwhiteprot*b_ffwhiteprot[`i'] + 1*b_ffblackprot[`i'] + ffwhitecath*b_ffwhitecath[`i'] + fflatcath*b_fflatcath[`i'] + ffua*b_ffua[`i'] + 1*b_gayff[`i'] + whiteprot*b_whiteprot[`i'] + 1*b_blackprot[`i'] + whitecath*b_whitecath[`i'] + latcath*b_latcath[`i'] + unaffiliated*b_unaffiliated[`i'] + churchatt*b_churchatt[`i'] + prayer*b_prayer[`i'] + religimport*b_religimport[`i'] + age*b_age[`i'] + liberal*b_liberal[`i'] + conservative*b_conservative[`i'] + democrat*b_democrat[`i'] + republican*b_republican[`i'] + female*b_female[`i'] + hhincome*b_hhincome[`i'] + education*b_education[`i'] + white*b_white[`i'] + black*b_black[`i'] + hispanic*b_hispanic[`i'])
	summarize pffbprot_`i', meanonly
	replace pffbprot_mean = r(mean) in `i'
}


gen pffwcath_mean = .
forvalues i = 1/1000 {
	gen pffwcath_`i' = normal(b_cons[`i'] + ffwhiteprot*b_ffwhiteprot[`i'] + ffblackprot*b_ffblackprot[`i'] + 1*b_ffwhitecath[`i'] + fflatcath*b_fflatcath[`i'] + ffua*b_ffua[`i'] + 1*b_gayff[`i'] + whiteprot*b_whiteprot[`i'] + blackprot*b_blackprot[`i'] + 1*b_whitecath[`i'] + latcath*b_latcath[`i'] + unaffiliated*b_unaffiliated[`i'] + churchatt*b_churchatt[`i'] + prayer*b_prayer[`i'] + religimport*b_religimport[`i'] + age*b_age[`i'] + liberal*b_liberal[`i'] + conservative*b_conservative[`i'] + democrat*b_democrat[`i'] + republican*b_republican[`i'] + female*b_female[`i'] + hhincome*b_hhincome[`i'] + education*b_education[`i'] + white*b_white[`i'] + black*b_black[`i'] + hispanic*b_hispanic[`i'])
	summarize pffwcath_`i', meanonly
	replace pffwcath_mean = r(mean) in `i'
}


gen pfflcath_mean = .
forvalues i = 1/1000 {
	gen pfflcath_`i' = normal(b_cons[`i'] + ffwhiteprot*b_ffwhiteprot[`i'] + ffblackprot*b_ffblackprot[`i'] + ffwhitecath*b_ffwhitecath[`i'] + 1*b_fflatcath[`i'] + ffua*b_ffua[`i'] + 1*b_gayff[`i'] + whiteprot*b_whiteprot[`i'] + blackprot*b_blackprot[`i'] + whitecath*b_whitecath[`i'] + 1*b_latcath[`i'] + unaffiliated*b_unaffiliated[`i'] + churchatt*b_churchatt[`i'] + prayer*b_prayer[`i'] + religimport*b_religimport[`i'] + age*b_age[`i'] + liberal*b_liberal[`i'] + conservative*b_conservative[`i'] + democrat*b_democrat[`i'] + republican*b_republican[`i'] + female*b_female[`i'] + hhincome*b_hhincome[`i'] + education*b_education[`i'] + white*b_white[`i'] + black*b_black[`i'] + hispanic*b_hispanic[`i'])
	summarize pfflcath_`i', meanonly
	replace pfflcath_mean = r(mean) in `i'
}


gen pffua_mean = .
forvalues i = 1/1000 {
	gen pffua_`i' = normal(b_cons[`i'] + ffwhiteprot*b_ffwhiteprot[`i'] + ffblackprot*b_ffblackprot[`i'] + ffwhitecath*b_ffwhitecath[`i'] + fflatcath*b_fflatcath[`i'] + 1*b_ffua[`i'] + 1*b_gayff[`i'] + whiteprot*b_whiteprot[`i'] + blackprot*b_blackprot[`i'] + whitecath*b_whitecath[`i'] + latcath*b_latcath[`i'] + 1*b_unaffiliated[`i'] + churchatt*b_churchatt[`i'] + prayer*b_prayer[`i'] + religimport*b_religimport[`i'] + age*b_age[`i'] + liberal*b_liberal[`i'] + conservative*b_conservative[`i'] + democrat*b_democrat[`i'] + republican*b_republican[`i'] + female*b_female[`i'] + hhincome*b_hhincome[`i'] + education*b_education[`i'] + white*b_white[`i'] + black*b_black[`i'] + hispanic*b_hispanic[`i'])
	summarize pffua_`i', meanonly
	replace pffua_mean = r(mean) in `i'
}


sum pffwprot_mean pffbprot_mean pffwcath_mean pfflcath_mean pffua_mean

centile pffwprot_mean pffbprot_mean pffwcath_mean pfflcath_mean pffua_mean, centile(2.5 97.5)



***Gay coworker or acquaintance
probit supbangaym cawhiteprot cablackprot cawhitecath calatcath caua gayca whiteprot blackprot whitecat latcath unaffiliated churchatt prayer religimport age liberal conservative democrat republican female hhincome education white black hispanic

*Get predicted probabilities
predict ppstata2 if e(sample)

gen pprobit2 = normal(_b[cawhiteprot]*cawhiteprot + _b[cablackprot]*cablackprot + _b[cawhitecath]*cawhitecath + _b[calatcath]*calatcath + _b[caua]*caua + _b[gayca]*gayca + _b[whiteprot]*whiteprot + _b[blackprot]*blackprot + _b[whitecath]*whitecath + _b[latcath]*latcath + _b[unaffiliated]*unaffiliated + _b[churchatt]*churchatt + _b[religimp]*religimp + _b[prayer]*prayer + _b[age]*age + _b[democrat]*democrat + _b[republican]*republican + _b[liberal]*liberal + _b[conservative]*conservative + _b[female]*female + _b[hhincome]*hhincome + _b[education]*education + _b[white]*white + _b[black]*black + _b[hispanic]*hispanic + _b[_cons]) if e(sample) 

gen testp2 = ppstata2 - pprobit2
sum testp2


gen ppcawprot = normal(_b[cawhiteprot]*1 + _b[cablackprot]*cablackprot + _b[cawhitecath]*cawhitecath + _b[calatcath]*calatcath + _b[caua]*caua + _b[gayca]*1 + _b[whiteprot]*1 + _b[blackprot]*blackprot + _b[whitecath]*whitecath + _b[latcath]*latcath + _b[unaffiliated]*unaffiliated + _b[churchatt]*churchatt + _b[religimp]*religimp + _b[prayer]*prayer + _b[age]*age + _b[democrat]*democrat + _b[republican]*republican + _b[liberal]*liberal + _b[conservative]*conservative + _b[female]*female + _b[hhincome]*hhincome + _b[education]*education + _b[white]*white + _b[black]*black + _b[hispanic]*hispanic + _b[_cons]) if e(sample) 

gen ppcabprot = normal(_b[cawhiteprot]*cawhiteprot + _b[cablackprot]*1 + _b[cawhitecath]*cawhitecath + _b[calatcath]*calatcath + _b[caua]*caua + _b[gayca]*1 + _b[whiteprot]*whiteprot + _b[blackprot]*1 + _b[whitecath]*whitecath + _b[latcath]*latcath + _b[unaffiliated]*unaffiliated + _b[churchatt]*churchatt + _b[religimp]*religimp + _b[prayer]*prayer + _b[age]*age + _b[democrat]*democrat + _b[republican]*republican + _b[liberal]*liberal + _b[conservative]*conservative + _b[female]*female + _b[hhincome]*hhincome + _b[education]*education + _b[white]*white + _b[black]*black + _b[hispanic]*hispanic + _b[_cons]) if e(sample) 

gen ppcawcath = normal(_b[cawhiteprot]*cawhiteprot + _b[cablackprot]*cablackprot + _b[cawhitecath]*1 + _b[calatcath]*calatcath + _b[caua]*caua + _b[gayca]*1 + _b[whiteprot]*whiteprot + _b[blackprot]*blackprot + _b[whitecath]*1 + _b[latcath]*latcath + _b[unaffiliated]*unaffiliated + _b[churchatt]*churchatt + _b[religimp]*religimp + _b[prayer]*prayer + _b[age]*age + _b[democrat]*democrat + _b[republican]*republican + _b[liberal]*liberal + _b[conservative]*conservative + _b[female]*female + _b[hhincome]*hhincome + _b[education]*education + _b[white]*white + _b[black]*black + _b[hispanic]*hispanic + _b[_cons]) if e(sample) 

gen ppcalcath = normal(_b[cawhiteprot]*cawhiteprot + _b[cablackprot]*cablackprot + _b[cawhitecath]*cawhitecath + _b[calatcath]*1 + _b[caua]*caua + _b[gayca]*1 + _b[whiteprot]*whiteprot + _b[blackprot]*blackprot + _b[whitecath]*whitecath + _b[latcath]*1 + _b[unaffiliated]*unaffiliated + _b[churchatt]*churchatt + _b[religimp]*religimp + _b[prayer]*prayer + _b[age]*age + _b[democrat]*democrat + _b[republican]*republican + _b[liberal]*liberal + _b[conservative]*conservative + _b[female]*female + _b[hhincome]*hhincome + _b[education]*education + _b[white]*white + _b[black]*black + _b[hispanic]*hispanic + _b[_cons]) if e(sample) 

gen ppcaua = normal(_b[cawhiteprot]*cawhiteprot + _b[cablackprot]*cablackprot + _b[cawhitecath]*cawhitecath + _b[calatcath]*calatcath + _b[caua]*1 + _b[gayca]*1 + _b[whiteprot]*whiteprot + _b[blackprot]*blackprot + _b[whitecath]*whitecath + _b[latcath]*latcath + _b[unaffiliated]*1 + _b[churchatt]*churchatt + _b[religimp]*religimp + _b[prayer]*prayer + _b[age]*age + _b[democrat]*democrat + _b[republican]*republican + _b[liberal]*liberal + _b[conservative]*conservative + _b[female]*female + _b[hhincome]*hhincome + _b[education]*education + _b[white]*white + _b[black]*black + _b[hispanic]*hispanic + _b[_cons]) if e(sample) 


sum ppcawprot ppcabprot ppcawcath ppcalcath ppcaua


*Get confidence intervals

set mem 1000m
set maxvar 32767

probit supbangaym cawhiteprot cablackprot cawhitecath calatcath caua gayca whiteprot blackprot whitecath latcath unaffiliated churchatt prayer religimport age liberal conservative democrat republican female hhincome education white black hispanic

gen keep1 = 1 if e(sample)
drop if keep1 ~=1

save temp3

set seed 99
mat b = e(b)
mat V = e(V)

drawnorm b_cawhiteprot b_cablackprot b_cawhitecath b_calatcath b_caua b_gayca b_whiteprot b_blackprot b_whitecath b_latcath b_unaffiliated b_churchatt b_prayer b_religimport b_age b_liberal b_conservative b_democrat b_republican b_female b_hhincome b_education b_white b_black b_hispanic b_cons, mean(b) cov(V) n(1000) clear

merge using temp3

gen p_mean = .
forvalues i = 1/1000 {
	gen pmycode_`i' = normal(b_cons[`i'] + cawhiteprot*b_cawhiteprot[`i'] + cablackprot*b_cablackprot[`i'] + cawhitecath*b_cawhitecath[`i'] + calatcath*b_calatcath[`i'] + caua*b_caua[`i'] + gayca*b_gayca[`i'] + whiteprot*b_whiteprot[`i'] + blackprot*b_blackprot[`i'] + whitecath*b_whitecath[`i'] + latcath*b_latcath[`i'] + unaffiliated*b_unaffiliated[`i'] + churchatt*b_churchatt[`i'] + prayer*b_prayer[`i'] + religimport*b_religimport[`i'] + age*b_age[`i'] + liberal*b_liberal[`i'] + conservative*b_conservative[`i'] + democrat*b_democrat[`i'] + republican*b_republican[`i'] + female*b_female[`i'] + hhincome*b_hhincome[`i'] + education*b_education[`i'] + white*b_white[`i'] + black*b_black[`i'] + hispanic*b_hispanic[`i'])
	summarize pmycode_`i', meanonly
	replace p_mean = r(mean) in `i'
}

gen pcawprot_mean = .
forvalues i = 1/1000 {
	gen pcawprot_`i' = normal(b_cons[`i'] + 1*b_cawhiteprot[`i'] + cablackprot*b_cablackprot[`i'] + cawhitecath*b_cawhitecath[`i'] + calatcath*b_calatcath[`i'] + caua*b_caua[`i'] + 1*b_gayca[`i'] + 1*b_whiteprot[`i'] + blackprot*b_blackprot[`i'] + whitecath*b_whitecath[`i'] + latcath*b_latcath[`i'] + unaffiliated*b_unaffiliated[`i'] + churchatt*b_churchatt[`i'] + prayer*b_prayer[`i'] + religimport*b_religimport[`i'] + age*b_age[`i'] + liberal*b_liberal[`i'] + conservative*b_conservative[`i'] + democrat*b_democrat[`i'] + republican*b_republican[`i'] + female*b_female[`i'] + hhincome*b_hhincome[`i'] + education*b_education[`i'] + white*b_white[`i'] + black*b_black[`i'] + hispanic*b_hispanic[`i'])
	summarize pcawprot_`i', meanonly
	replace pcawprot_mean = r(mean) in `i'
}


gen pcabprot_mean = .
forvalues i = 1/1000 {
	gen pcabprot_`i' = normal(b_cons[`i'] + cawhiteprot*b_cawhiteprot[`i'] + 1*b_cablackprot[`i'] + cawhitecath*b_cawhitecath[`i'] + calatcath*b_calatcath[`i'] + caua*b_caua[`i'] + 1*b_gayca[`i'] + whiteprot*b_whiteprot[`i'] + 1*b_blackprot[`i'] + whitecath*b_whitecath[`i'] + latcath*b_latcath[`i'] + unaffiliated*b_unaffiliated[`i'] + churchatt*b_churchatt[`i'] + prayer*b_prayer[`i'] + religimport*b_religimport[`i'] + age*b_age[`i'] + liberal*b_liberal[`i'] + conservative*b_conservative[`i'] + democrat*b_democrat[`i'] + republican*b_republican[`i'] + female*b_female[`i'] + hhincome*b_hhincome[`i'] + education*b_education[`i'] + white*b_white[`i'] + black*b_black[`i'] + hispanic*b_hispanic[`i'])
	summarize pcabprot_`i', meanonly
	replace pcabprot_mean = r(mean) in `i'
}


gen pcawcath_mean = .
forvalues i = 1/1000 {
	gen pcawcath_`i' = normal(b_cons[`i'] + cawhiteprot*b_cawhiteprot[`i'] + cablackprot*b_cablackprot[`i'] + 1*b_cawhitecath[`i'] + calatcath*b_calatcath[`i'] + caua*b_caua[`i'] + 1*b_gayca[`i'] + whiteprot*b_whiteprot[`i'] + blackprot*b_blackprot[`i'] + 1*b_whitecath[`i'] + latcath*b_latcath[`i'] + unaffiliated*b_unaffiliated[`i'] + churchatt*b_churchatt[`i'] + prayer*b_prayer[`i'] + religimport*b_religimport[`i'] + age*b_age[`i'] + liberal*b_liberal[`i'] + conservative*b_conservative[`i'] + democrat*b_democrat[`i'] + republican*b_republican[`i'] + female*b_female[`i'] + hhincome*b_hhincome[`i'] + education*b_education[`i'] + white*b_white[`i'] + black*b_black[`i'] + hispanic*b_hispanic[`i'])
	summarize pcawcath_`i', meanonly
	replace pcawcath_mean = r(mean) in `i'
}


gen pcalcath_mean = .
forvalues i = 1/1000 {
	gen pcalcath_`i' = normal(b_cons[`i'] + cawhiteprot*b_cawhiteprot[`i'] + cablackprot*b_cablackprot[`i'] + cawhitecath*b_cawhitecath[`i'] + 1*b_calatcath[`i'] + caua*b_caua[`i'] + 1*b_gayca[`i'] + whiteprot*b_whiteprot[`i'] + blackprot*b_blackprot[`i'] + whitecath*b_whitecath[`i'] + 1*b_latcath[`i'] + unaffiliated*b_unaffiliated[`i'] + churchatt*b_churchatt[`i'] + prayer*b_prayer[`i'] + religimport*b_religimport[`i'] + age*b_age[`i'] + liberal*b_liberal[`i'] + conservative*b_conservative[`i'] + democrat*b_democrat[`i'] + republican*b_republican[`i'] + female*b_female[`i'] + hhincome*b_hhincome[`i'] + education*b_education[`i'] + white*b_white[`i'] + black*b_black[`i'] + hispanic*b_hispanic[`i'])
	summarize pcalcath_`i', meanonly
	replace pcalcath_mean = r(mean) in `i'
}


gen pcaua_mean = .
forvalues i = 1/1000 {
	gen pcaua_`i' = normal(b_cons[`i'] + cawhiteprot*b_cawhiteprot[`i'] + cablackprot*b_cablackprot[`i'] + cawhitecath*b_cawhitecath[`i'] + calatcath*b_calatcath[`i'] + 1*b_caua[`i'] + 1*b_gayca[`i'] + whiteprot*b_whiteprot[`i'] + blackprot*b_blackprot[`i'] + whitecath*b_whitecath[`i'] + latcath*b_latcath[`i'] + 1*b_unaffiliated[`i'] + churchatt*b_churchatt[`i'] + prayer*b_prayer[`i'] + religimport*b_religimport[`i'] + age*b_age[`i'] + liberal*b_liberal[`i'] + conservative*b_conservative[`i'] + democrat*b_democrat[`i'] + republican*b_republican[`i'] + female*b_female[`i'] + hhincome*b_hhincome[`i'] + education*b_education[`i'] + white*b_white[`i'] + black*b_black[`i'] + hispanic*b_hispanic[`i'])
	summarize pcaua_`i', meanonly
	replace pcaua_mean = r(mean) in `i'
}


sum pcawprot_mean pcabprot_mean pcawcath_mean pcalcath_mean pcaua_mean

centile pcawprot_mean pcabprot_mean pcawcath_mean pcalcath_mean pcaua_mean, centile(2.5 97.5)


